Google Web Toolkit
Search Google Code:

# Class JConstructor

public class JConstructor
extends JAbstractMethod
Represents a constructor declaration.

## Constructors

JConstructor(JClassType, String, int, int, int, int) |

## Methods

getEnclosingType() | Gets the type in which this method or constructor was declared.
getReadableDeclaration() |
isConstructor() |
isMethod() |
toString() |

## Constructor Detail

### JConstructor

public JConstructor(JClassType enclosingType, String name, int declStart, int declEnd, int bodyStart, int bodyEnd)

#### Parameters

enclosingType
name
declStart
declEnd
bodyStart
bodyEnd

## Method Detail

### getEnclosingType

public abstract JClassType getEnclosingType()
Gets the type in which this method or constructor was declared.

### getReadableDeclaration

public abstract String getReadableDeclaration()

### isConstructor

public abstract JConstructor isConstructor()

### isMethod

public abstract JMethod isMethod()

### toString

public String toString()